/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include <iostream>
#include <QDebug>
#include <QtGui/QApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w(QString(),0);
    w.show();

    bool close = false;
    QStringList args = QCoreApplication::arguments();
    for (int i = 0; i < args.size(); ++i) {
        if(args.at(i).startsWith("--exec=")) {
            QString filename = args.at(i).right(args.at(i).length()-7);
            w.getLayout()->getMacro()->load(filename);
            w.getLayout()->getMacro()->play();
            std::cout << w.getLayout()->getLineEdit()->currentText().toStdString()
                      << std::endl;
            std::cout.flush();
        } else if (args.at(i) == "--quit") {
            close = true;
        }
    }
    if (!close) {
        return a.exec();
    }
    return(0);
}
