/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include "pcappscript.h"

pcAppScript::pcAppScript(QObject *parent) :
    QScriptEngine(parent)
{
    evaluate("function globalpreshow(){};"
             "function globalpresend(){}"
             "function globalpostsend(){}"
             "var display;");
}

QString pcAppScript::eval(QString code)
{
    QScriptValue res = evaluate(code);
    if (res.isError()) {
        emit errorOccured(res.toString());
        return("");
    } else {
        return(res.toString());
    }
}

void pcAppScript::setHooks(QDomNode &node)
{
    for (QDomNode hook = node.firstChild();
         !hook.isNull();
         hook = hook.nextSibling())
    {
        if (hook.toElement().tagName() == "init")
        {
            eval(hook.toElement().text());

        } else {
            eval("function global"+hook.toElement().tagName()+"() "+
                 "{ "+hook.toElement().text()+" }");
        }
    }
}
