/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCBUTTON_H
#define PCBUTTON_H

#include <QtXml>
#include <QPushButton>
#include <QLineEdit>
#include "pcappscript.h"

/** Button class for calulator gui */
class pcButton : public QPushButton
{
    Q_OBJECT

    static int buttoncnt;
    pcAppScript *appScript;
    QString insert;
    QString set;
    QString append;
    QString prepend;
    bool send;
    int id;
    void init();
    QString buildInitCode(QDomNode &node);
public:
    explicit pcButton(QDomNode &node, pcAppScript *appScript, QWidget *parent = 0);
    explicit pcButton(QWidget *parent = 0);
    static pcButton *Enter();
    ~pcButton();
    void updateLineEdit(QLineEdit *lineEdit);
    bool getSend()       { return send;     };
    void callHook(QString name);
    void updateCaption();
signals:
    
public slots:
    
};

#endif // PCBUTTON_H
