/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include <QDir>
#include "pcconfig.h"

namespace pcConfig
{

const QString version    = "0.1.1";
const QString prjUrl     = "launchpad.net/polycalc";
const QString helpUrl    = "http://illusions.hu/index.php?task=100&statpage=252";
const QString galeryUrl  = "http://illusions.hu/index.php?task=42&type=3&category=0";
const QString versionUrl = "http://illusions.hu/Softwares/PolyCalc/version.txt";
#ifdef Q_OS_WIN32
    const QString downloadUrl = "http://illusions.hu/index.php?task=100&statpage=244";
    const QString wishlistUrl = "http://illusions.hu/index.php?task=100&statpage=245";
    #ifdef QT_DEBUG
        const QString iconDir    = "../polycalc/icon";
        const QString layoutDir  = "../polycalc/layouts";
        const QString usersLayoutDir = ".";
    #else
        const QString iconDir    = ".";
        const QString layoutDir  = ".";
        const QString usersLayoutDir = QDir::homePath()+"/Application Data/PolyCalc/layouts";
    #endif
#else
    const QString downloadUrl = "https://launchpad.net/polycalc/+download";
    const QString wishlistUrl = "https://blueprints.launchpad.net/polycalc";
    #ifdef QT_DEBUG
        const QString iconDir    = "../polycalc/icon";
        const QString layoutDir  = "../polycalc/layouts";
        const QString usersLayoutDir = ".";
    #else
        const QString iconDir    = "/usr/share/icons/hicolor/256x256/apps";
        const QString layoutDir  = "/usr/share/polycalc/layouts";
        const QString usersLayoutDir = QDir::homePath()+"/.config/polycalc/layouts";
    #endif
#endif

}
