/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCEXECSCRIPTENGINE_H
#define PCEXECSCRIPTENGINE_H

#include "pcscriptengine.h"

/** Calculator engine using an external CLI tool via
    standard input/output/error */
class pcExecScriptEngine : public pcScriptEngine
{
    Q_OBJECT

    QProcess *engine;
    bool browseExeQuery(QString &exe, QString &userExe);
    bool storeExeQuery();
    void canNotExecMsg(QString &exe);
    bool successfulStart(QString &exe);
public:
    explicit pcExecScriptEngine(QDomNode *node, QObject *parent = 0);
    QString eval(QString code);
    ~pcExecScriptEngine();
signals:
    
public slots:
    
};

#endif // PCEXECSCRIPTENGINE_H
