/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include <QString>
#include "pclabel.h"


pcLabel::pcLabel(QDomNode &node, pcAppScript *appScript, QWidget *parent)
    : QLabel(parent)
{
    this->appScript = appScript;
    this->setText(node.toElement().attribute("caption"));
    QString name = node.toElement().attribute("name","");
    setObjectName(name);
    setGeometry(0,0,40,15);
    setMinimumSize(0,15);
    setFocusPolicy(Qt::NoFocus);
    setAlignment(Qt::AlignCenter);
    setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);
}

void pcLabel::updateCaption()
{
    if (objectName() != "") {
        setText(appScript->eval(objectName()+";"));
    }
}
