/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCMACRO_H
#define PCMACRO_H

#include <QMenu>

/** Layout parent menus with submenus.
    The class built from corresponding PolyCalc XML node. */
class pcMacro : public QMenu
{
    Q_OBJECT

    QList<QString> macroItems;
    bool recordMacro;
    QAction *startAction;
    QAction *stopAction;
    QAction *playAction;
    QAction *loadAction;
    QAction *saveAction;
    QWidget *widget;
public:
    explicit pcMacro(QWidget *parent = 0);
    ~pcMacro();
    void play();
    void load(QString fileName);

signals:
    void sendButtonClick(QObject *object);

public slots:
    void addMacroItem(QString text);

private slots:
    void Start_triggered();
    void Stop_triggered();
    void Play_triggered();
    void Load_triggered();
    void Save_triggered();
};

#endif // PCMACRO_H
