/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include "pcmenu.h"
#include "pcmenuaction.h"


pcMenu::pcMenu(QDomNode &node,
               pcScriptEngine *scriptEngine,
               pcAppScript *appScript,
               QWidget *parent) :
    QMenu(parent)
{
    setTitle(node.toElement().attribute("caption",""));

    for (QDomNode child = node.firstChild();
         !child.isNull();
         child = child.nextSibling())
    {
        if(child.toElement().tagName() == "menuitem") {
            QAction *action = new pcMenuAction(child,
                                               scriptEngine,
                                               appScript,
                                               this);
            addAction(action);
        }
        if(child.toElement().tagName() == "menu") {
            QMenu *childMenu = new pcMenu(child,
                                          scriptEngine,
                                          appScript,
                                          parent);
            addMenu(childMenu);
        }
    }
}

