/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include "pcmenuaction.h"

pcMenuAction::pcMenuAction(QDomNode &node,
                           pcScriptEngine *scriptEngine,
                           pcAppScript *appScript,
                           QObject *parent)
    : QAction(parent)
{
    this->scriptEngine = scriptEngine;
    this->appScript = appScript;
    setText(node.toElement().attribute("caption",""));
    engineCode = node.toElement().attribute("engine",""),
    appScriptCode = node.toElement().attribute("hookengine","");
    connect(this, SIGNAL(activated()),
            this, SLOT(actionActivated()));
}

void pcMenuAction::actionActivated()
{
    scriptEngine->eval(engineCode);
    appScript->eval(appScriptCode);
}
