/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include "pcqscriptengine.h"

pcQScriptEngine::pcQScriptEngine(QDomNode *node, QObject *parent) :
    pcScriptEngine(node, parent)
{
    engine = new QScriptEngine();
    eval(initCode);
}

QString pcQScriptEngine::eval(QString code)
{
    QScriptValue res = engine->evaluate(code);
    if (res.isError()) {
        QString error = res.toString();
        emit errorOccured(error);
        emit changed();
        return("");
    } else {
        emit changed();
        return(res.toString());
    }
}

pcQScriptEngine::~pcQScriptEngine()
{
    delete engine;
}
