/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCSCRIPTENGINE_H
#define PCSCRIPTENGINE_H

#include <QObject>
#include <QtXml>

/** Abstract calculator engine class.
    New calculator engines should subclass this class
    and should be added to it's 'create' factory method */
class pcScriptEngine : public QObject
{
    Q_OBJECT

protected:
    QString initCode;
public:
    explicit pcScriptEngine(QDomNode *node, QObject *parent = 0);
    static pcScriptEngine *create(QDomNode *node, QObject *parent = 0);
    virtual QString eval(QString code) = 0;

signals:
    void errorOccured(QString error);
    void changed();

public slots:
    
};

#endif // PCSCRIPTENGINE_H
