/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#include "pcstatusbar.h"

pcStatusBar::pcStatusBar(QDomNode *node, pcAppScript *appScript, QWidget *parent) :
    QStatusBar(parent)
{    
    statusbarScript = node->toElement().attribute("text");
    this->appScript = appScript;
    label = new QLabel(this);
    addPermanentWidget(label);
}

void pcStatusBar::setStatusText(QString error)
{
    appScript->eval("error = \""+error+"\";");
    appScript->eval("statusbar = "+statusbarScript+";");
    // todo: fix this, can cause infinit loop
    QString text = appScript->eval("statusbar;");
    label->setText(text);
}

pcStatusBar::~pcStatusBar()
{
    delete label;
}
