/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCSTATUSBAR_H
#define PCSTATUSBAR_H

#include <QtXml>
#include <QStatusBar>
#include <QLabel>
#include "pcappscript.h"

/** Extended statusbar class contains a permanent label and
    a QtScript code to build the statusbar message using the
    common application script engine.
    The class constructed from the corresponding PolyCalc
    XML node */
class pcStatusBar : public QStatusBar
{
    Q_OBJECT

    QLabel *label;
    QString statusbarScript;
    pcAppScript *appScript;
public:
    explicit pcStatusBar(QDomNode *node, pcAppScript *appScript, QWidget *parent = 0);
    void setStatusText(QString error);
    ~pcStatusBar();
    
signals:
    
public slots:
    
};

#endif // PCSTATUSBAR_H
