#include <QtCore/QString>
#include <QtTest/QtTest>
#include <QtCore/QCoreApplication>
#include "mainwindow.h"
#include "pclayout.h"
#include "pclineedit.h"

class MainWindowTest : public QObject
{
    Q_OBJECT

    MainWindow *w;
public:
    MainWindowTest();
    
private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void testCase1();
    void testCase1_data();
};

MainWindowTest::MainWindowTest()
{
}

void MainWindowTest::initTestCase()
{
}

void MainWindowTest::cleanupTestCase()
{
}

void MainWindowTest::testCase1()
{
    MainWindow *w = new MainWindow("basic",0);
    w->show();

    QFETCH(QString, input);
    QFETCH(QString, reference);

    QTest::keyClicks(w->getLayout()->getLineEdit()->lineEdit(), input, Qt::NoModifier, -1);
    QTest::keyPress(w->getLayout()->getLineEdit()->lineEdit(), Qt::Key_Enter);
    QString output = w->getLayout()->getLineEdit()->currentText();

    QCOMPARE(output, reference);

    delete w;
}

void MainWindowTest::testCase1_data()
{
    QTest::addColumn<QString>( "input"                    );
    QTest::addColumn<QString>(                "reference" );
    QTest::newRow("0")      << "3.2+4.5"   << "7.7"        ;
    QTest::newRow("1")      << "30.2-67.5" << "-37.3"      ;
    QTest::newRow("2")      << "16*8"      << "128"        ;
    QTest::newRow("3")      << "5/2"       << "2.5"        ;
    QTest::newRow("4")      << "-2*2.2"    << "-4.4"       ;
    QTest::newRow("4")      << "2*2+3"     << "7"          ;
    QTest::newRow("4")      << "3+4/2"     << "5"          ;
}

QTEST_MAIN(MainWindowTest)

#include "tst_mainwindowtest.moc"
